Subject: Re: bug#11902: Emacs 23.2: dired rename file and file is hidden - Windows 7

From: Bernard Stumpf <[email-masked]>
Date: Thu, 12 Jul 2012 07:54:07 -0400

I have not noticed any sensitivity to the characters in "newname". I 
just created a file named "foo" and did an R to "foo1" - the line 
disappeared.

I did the same with file "bar" to "bar1". Here's output in *Messages*
...
(New file)
Saving file c:/Users/bernie/bar...
Wrote c:/Users/bernie/bar
Overwrite `c:/Users/bernie/bar'? [Type yn!q or C-h]  [5 times]
Quit
Move: 1 of 1
Move: 1 file
...

As to using Edebug: I don't know Edebug.  Is there a way to set 
breakpoints inside emacs from emacs?

-Bernie

Eli Zaretskii wrote at 01:15:

>>Date: Wed, 11 Jul 2012 20:05:25 -0400
>>From: Bernard Stumpf <[email-masked]>
>>CC:  [email-masked]
>>
>>I just tried it in an "emacs -Q" window. Did a dired of my Users home 
>>directory and there did an R of an existing file to "newname".  The line 
>>containing the file disappeared.
>>
>>In other words: "emacs -Q" made no difference: the problem remains.
>>    
>>
>
>Thanks.
>
>Does the "newname" affect the problem?  E.g., if you rename file "foo"
>to "foo1", does the problem still happen?
>
>Also, can you perhaps debug this in Edebug?  I can provide guidance if
>needed.  The function that refreshes the display is
>dired-do-redisplay, defined on dired-aux.el, and the actual refresh of
>the line of the affected file is in dired-update-file-line, also in
>dired-aux.el.  Just step through these two functions and see what is
>going wrong there and where.
>
>
>  
>